%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		winpdb
Version:	1.4.8
Release:	1%{?dist}
Summary:	An advanced python debugger
Group:		Development/Debuggers
License:	GPLv2+
URL:		http://www.winpdb.org/
Source0:	http://winpdb.googlecode.com/files/winpdb-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires: 	python-devel, wxPython-devel >= 2.6, desktop-file-utils
Requires:	python-crypto, wxPython >= 2.6

%description
Winpdb is an advanced python debugger, with support for smart breakpoints, 
multiple threads, namespace modification, embedded debugging, encrypted 
communication and speed of up to 20 times that of pdb.

%prep
%setup -q
sed -i 's/\r//g' README.txt
chmod -x README.txt

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT 
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install --vendor fedora			\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	%{SOURCE1}

chmod +x $RPM_BUILD_ROOT%{python_sitelib}/rpdb2.py $RPM_BUILD_ROOT%{python_sitelib}/winpdb.py

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc README.txt
%{_bindir}/*
%{python_sitelib}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Aug 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.8-1
- update to 1.4.8

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr  8 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.6-1
- update to 1.4.6

* Wed Mar  4 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.4-4
- fix typo

* Wed Mar  4 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.4-3
- add icon, fix desktop file (bz 487870)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.4-1
- update to 1.4.4

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.4.2-2
- Rebuild for Python 2.6

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.2-1
- update to 1.4.2, source moved to google code

* Fri Sep 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4.0-1
- update to 1.4.0

* Wed Apr 23 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.8-1
- update to 1.3.8

* Mon Mar 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.6-1
- update to 1.3.6

* Mon Jan 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.4-1.1
- bump to 1.3.4
- actually finish writing the changelog

* Tue Dec 11 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.2-1
- bump to 1.3.2

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.2-1
- bump to 1.2.2

* Mon Jul 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.4-1
- bump to 1.1.4

* Wed May 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.2-2
- fix desktop-file-utils usage in spec

* Mon May 14 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.2-1
- revisit for Fedora

* Sun Aug 28 2005 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.2-1
- initial build for Fedora Extras


